# teich_tut

Start of Tutorials for Teich-people....
We'll see :-)

## first real shit
stefan testet mal
- clone project

- make shure you installed reqirenments... packer and virtualbox

- this works only on unix at the moment

- start script

    ./00-lets's-build-a-box.sh

- !!this will overwrite any before build boxes!!!... just 4 test

- start the box

    cd packer/ubuntu2004

    vagrant up


- troubleshoot

    maybe the file isn't executable

    chmod +x 00-lets's-build-a-box.sh

- TODO: 

    adjust proseeds.conf for De locales and shit

    keymanagment

## CALL 4 Input !!!!

which OS??

...es soll meiner Meinung irgendwas rauskommen, das man auch benutzen kann/will. aber was??

sollte 2 verbundene Maschinen werden. Irgendwas Server-Client oder so

Is das auf gitlab fuer alle ok? Macht ihr euch bitte accounts und nehmt an dem projekt teil

Do someone need help setting up accounts (git, ssh) and development-environment (VScode or something)

## Examples

- Hacking environment with vagrant. To much recourcess fpr my setup :-)

<https://github.com/tacoman/vagant-bvml>

## Gns3 

sample project...

- start

    cd gns3

    vagrant up

at the moment on Vagrant

maybe I'll do it in Docker, because of the recources

build on my machine, but whut next?

## Plans and Thoughts

- Automate Installation and Provisioning of a Ubuntu18 VirtualBox instance using packer

- some links...

    <https://github.com/geerlingguy/packer-boxes>

- Wiki

    <https://gitlab.com/alex.kotschi/teich_tut/-/wikis/home>

- Issue Board

    <https://gitlab.com/alex.kotschi/teich_tut/-/boards>


## Requirenments

- Virtualbox as hypervisor

    <https://www.virtualbox.org/>

- packer

    <https://packer.io/>

- vagrant

    <https://www.vagrantup.com/>

- ansible

    <https://www.ansible.com/>

## Installation on Win/Linux

at tha windows folks: use WSL

TODO...


## Goals

- Learning concepts to deploy services on VBox 

- Automation

- Remote provisistefan testet maloning
